apple+cant+connect+to+SSID

  • 1
  • Question
  • Updated 2 years ago
Hi to All
Good day. One of our client is complaining that their apple devices can't connect to the SSID that the Ruckus is broadcasting but no problems with android user. Meanwhile, on other site which is also using Ruckus equipment, no problems at all connecting apple device. Both Zone Director has the following Firmware Version 9.5.0.0 build 156. Thanks in advance.
Photo of Marco Perez

Marco Perez

  • 3 Posts
  • 0 Reply Likes

Posted 2 years ago

  • 1
Photo of Martin

Martin, Official Rep

  • 196 Posts
  • 42 Reply Likes
Hi Marco,
Can you check if the SSID is using AES (and not TKIP or mixed).
Apple is not supporting TKIP.

Kind regards
Martin
Photo of Marco Perez

Marco Perez

  • 3 Posts
  • 0 Reply Likes
Thanks Martin for this Info. We will verify it i=with the client. 
Photo of Michael Brado

Michael Brado, Official Rep

  • 1979 Posts
  • 275 Reply Likes
And 9.5.0.0 156 was the GA release too.  Available for ZD5K, ZD3K, ZD1100, and ZD1000 controllers.

Any APs you are using on 9.5 GA today, are also supported on all those controller platforms up to
version 9.5.3.0.44 MR3, or up to 9.6.2.0.13 MR2, 9.7.2.0.9 MR2, even 9.8.3.0.14 MR3 (unless you
have 2942 model APs).

Please consider discussing with your IT team, about scheduling a change management period
to perform an upgrade to your ZoneDirector (and all APs) firmware.  You might contact TechSupt
to get further pointers, like disconnecting ZDs from the network while upgrading, as APs will re-join
and upgrade to whatever version the ZD is on when you're done.

If you have a support contract, you can download the controller firmware versions you need, and
please read the 9.8.3 Release Notes,

https://support.ruckuswireless.com/documents/814-zoneflex-9-8-3-mr3-release-notes

It's Upgrade path says you need to be on at least 9.6.0.0.267 GA from your 9.5 current version, so
you would need at least two upgrades.

https://support.ruckuswireless.com/documents/277-zoneflex-9-6-ga-release-notes

Official 9.6 upgrade paths supported:
• 9.4.2.0.29
• 9.4.3.0.12
• 9.5.0.0.156

You can upgrade from your 9.5 to the 9.6.0.0.267 GA version and then upgrade to 9.8.3.0.14.

I can say that 9.8.3 is likely more Apple friendly and would have the most enhancements, than
previous versions.  Enable 802.11d country code in IE is something else about Apples that I recall.
Good luck and best regards.
Photo of Marco Perez

Marco Perez

  • 3 Posts
  • 0 Reply Likes
Thanks Michael for the info. This will be very useful for us to decide what firmware version we are going to use in upgrading the ZD and APs. We will get back to you for the result of the activity. Thanks a lot.